Name:		torsocks
Version:	1.2
Release:	1%{?dist}
Summary:	A transparent socks proxy for use with tor

Group:		Applications/Internet
License:	GPLv2+
URL:		https://code.google.com/p/%{name}
Source0:	https://torsocks.googlecode.com/files/%{name}-1.2.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Requires:	tor

%description
Torsocks allows you to use most socks-friendly applications in a safe way with
Tor. It ensures that DNS requests are handled safely and explicitly rejects
UDP traffic from the application you're using.

%prep
%setup -q


%build
%configure --datadir=/usr/share/%{name}/
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# remove static libraries and libtool droppings
rm -f $RPM_BUILD_ROOT/%{_libdir}/torsocks/lib%{name}.{a,la}*
rm -f $RPM_BUILD_ROOT/usr/share/%{name}/*.patch
#mkdir $RPM_BUILD_ROOT/usr/share/torsocks/
#mv $RPM_BUILD_ROOT/usr/share/DEBUG $RPM_BUILD_ROOT/usr/share/torsocks/
#mv $RPM_BUILD_ROOT/usr/share/README $RPM_BUILD_ROOT/usr/share/torsocks/
#mv $RPM_BUILD_ROOT/usr/share/README.TORDNS $RPM_BUILD_ROOT/usr/share/torsocks/
#mv $RPM_BUILD_ROOT/usr/share/SOCKS4.protocol $RPM_BUILD_ROOT/usr/share/torsocks/
#mv $RPM_BUILD_ROOT/usr/share/SOCKS5 $RPM_BUILD_ROOT/usr/share/torsocks/
#mv $RPM_BUILD_ROOT/usr/share/expectedresults.txt $RPM_BUILD_ROOT/usr/share/torsocks/
#mv $RPM_BUILD_ROOT/usr/share/run_tests.sh $RPM_BUILD_ROOT/usr/share/torsocks/
#mv $RPM_BUILD_ROOT/usr/share/socks-extensions.txt $RPM_BUILD_ROOT/usr/share/torsocks/

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/torsocks
%{_bindir}/usewithtor
%{_mandir}/man1/torsocks.1.gz
%{_mandir}/man1/usewithtor.1.gz
%{_mandir}/man5/torsocks.conf.5.gz
%{_mandir}/man8/torsocks.8.gz
%doc /usr/share/torsocks/DEBUG 
%doc /usr/share/torsocks/README
%doc /usr/share/torsocks/README.TORDNS
%doc /usr/share/torsocks/SOCKS4.protocol
%doc /usr/share/torsocks/SOCKS5
%doc /usr/share/torsocks/expectedresults.txt
%doc /usr/share/torsocks/run_tests.sh
%doc /usr/share/torsocks/socks-extensions.txt
%{_libdir}/torsocks/lib%{name}.so.*
%config(noreplace) %{_sysconfdir}/%{name}.conf

%package devel
Group:		Development/Libraries
Summary:	The libtorsocks library
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
Torsocks allows you to use most socks-friendly applications in a safe way with
Tor. It ensures that DNS requests are handled safely and explicitly rejects
UDP traffic from the application you're using.
These are the files used for development.

%files devel
%defattr(-,root,root,-)
%{_libdir}/torsocks/lib*.so

%changelog
* Mon Feb 6 2012 Eric "Sparks" Christensen <sparks@fedoraproject.org> - 1.2-1
- New package.
